Bug 1401964 - [RFE] Expose the "id" field of activity log to Lucene query filters used by HTTP API
Summary: [RFE] Expose the "id" field of activity log to Lucene query filters used by H...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: inventory   
(Show other bugs)
Version: 21
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 24.0
Assignee: matt jia
QA Contact: tools-bugs
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-06 13:14 UTC by Jiri Jaburek
Modified: 2017-02-21 18:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-21 18:49:26 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1410112 None None None Never

Internal Trackers: 1410112

Description Jiri Jaburek 2016-12-06 13:14:00 UTC
Description of problem:

My use case is to be able to "watch" a system's activity log using several queries on the HTTP API [1], using the ever-incrementing "id" field as a delimiter, with each subsequent query specifying a range from the delimiter onwards. This ensures that each query returns only new entries and not previously-processed ones.

In my use case, I care only about ~5 minute sections, so even if the "id" is considered an internal identifier that might re-set in the future and is thus unsuitable for long-term references, it doesn't matter for this usecase.

The idea in code would use Lucene ranges [2], either inclusive or exclusive, to say either of

  id:{123456 TO *}
  id:[123457 TO *]

or (if the above is unsupported by the Beaker parser) something like

  id:{123456 TO 99999999}
  id:[123457 TO 99999999]

where 123456 is the last known "id" of the last-processed entry.

Beaker doesn't seem to currently export the "id" however [1], so this RFE requests that the field be exported, enabling the use case described above.

Thanks.


[1]: https://beaker-project.org/docs/server-api/http.html#get--systems-(fqdn)-activity-

[2]: https://lucene.apache.org/core/2_9_4/queryparsersyntax.html#Range%20Searches


Version-Release number of selected component (if applicable):
Beaker 23.3

How reproducible:
always

Steps to Reproduce:
1. curl -sf 'https://<hub>/systems/<fqdn>/activity/?q=id%3A%7B123456+TO+%2A%7D'

Actual results:
Beaker returns JSON specifying no entries found

Expected results:
Beaker returns entries matching the Lucene filter

Additional info:

Comment 1 matt jia 2016-12-09 04:43:31 UTC
On Gerrit:

  https://gerrit.beaker-project.org/#/c/5527/

Comment 4 Dan Callaghan 2017-02-21 18:49:26 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.